<script setup>
import { ref } from 'vue'
import { Skeletor } from 'vue-skeletor';
import ServiceImgEnum from '@/enums/ServiceImgEnum.ts'
import { storeToRefs } from 'pinia'
import { useServicesStore } from '@/store/servicesStore.js';

const { homeServices, loading } = storeToRefs(useServicesStore())
const ServiceImg = ref(ServiceImgEnum)
</script>

<template>
    <div class="OurServices">
        <v-container>
            <h2 class="text-center">خدمات ما</h2>
            <v-row>
                <v-col cols="md-4" lg="3" sm="6" v-for="(item, index) in homeServices" :key="item.id">
                    <v-card class="pa-0">
                        <div>
                            <v-img class="w-100" :src="`/img/${ServiceImg[item.slug]}.svg`">
                            </v-img>
                            <v-card-title class="d-flex align-center">
                                <p> {{ item.title }}
                                </p>
                            </v-card-title>
                        </div>
                        <v-card-text>
                            {{ item.summary }}
                        </v-card-text>
                        <v-card-actions>
                            <NuxtLink :to="`/services/${item.slug}`">
                                <v-btn size="x-small" variant="tonal" rounded="xl" color="#2F2483">
                                    بیشتر
                                    <BootstrapIcon class="mt-1" name="plus" />
                                </v-btn>
                            </NuxtLink>
                        </v-card-actions>
                    </v-card>
                </v-col>
            </v-row>
        </v-container>
    </div>
</template>

<style lang="scss" scoped>
.OurServices {
    margin-bottom: 45px;

    h2 {
        line-height: 37px;
        text-align: center;
        color: #3B5099;
        font-weight: 700;
        margin-bottom: 20px;
    }

    .v-card {
        background: #fff;
        padding: 12px 12px 5px 12px;
        border-radius: 30px !important;

        .v-card-title {
            padding-top: 0;
            padding-bottom: 0;

            p {
                left: 0;
                right: 0;
                margin: auto;
                font-size: 18px;
                color: white;
                position: absolute;
                margin-top: -75px;
                text-align: center;
                margin-left: auto;
                margin-right: auto;
            }
        }

        .v-card-text {
            padding: 24px;
            max-width: 100%;
            font-size: 16px;
            font-weight: 300;
            line-height: 22.4px;
            -webkit-line-clamp: 4;
            -webkit-box-orient: vertical;
            overflow: hidden;
            display: -webkit-box;
        }

        .v-card-actions {
            padding: 24px;
            display: flex;
            justify-content: flex-end;

            button {
                font-weight: 500 !important;
                line-height: 16.8px !important;
                font-size: 12px !important;
                color: #2F2483 !important;
            }
        }

    }

    @media only screen and (max-width:768px) {


        .v-card-text {
            font-size: 12px !important;
            line-height: 24px;
            padding: 16px !important;

        }

        p {
            font-size: 16px !important;
        }

    }
}
</style>